#
# Conditional build:
%bcond_without	jxl		# JPEG XL loader
%bcond_without	heif		# HEIF loader
%bcond_without	avif		# AVIF loader
%bcond_with	ps		# PostScript support
%bcond_without	static_libs	# static library

Summary:	Powerful image loading and rendering library
Summary(pl.UTF-8):	Potężna biblioteka wczytująca i renderująca obrazki
Name:		imlib2
Version:	1.12.5
Release:	1
License:	BSD-like
Group:		X11/Libraries
Source0:	https://downloads.sourceforge.net/enlightenment/%{name}-%{version}.tar.xz
# Source0-md5:	c81c9f91d92ecbd87cf652f867ec5d74
URL:		https://docs.enlightenment.org/api/imlib2/html/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6
BuildRequires:	bzip2-devel
BuildRequires:	doxygen
BuildRequires:	freetype-devel >= 2.1
BuildRequires:	giflib-devel
%{?with_avif:BuildRequires:	libavif-devel}
%{?with_heif:BuildRequires:	libheif-devel}
BuildRequires:	libid3tag-devel
BuildRequires:	libjpeg-devel >= 6b-18
%{?with_jxl:BuildRequires:	libjxl-devel}
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	libraw-devel
BuildRequires:	librsvg-devel >= 2.46
%{?with_ps:BuildRequires:    libspectre-devel}
BuildRequires:	libtiff-devel >= 4
BuildRequires:	libtool >= 2:2
BuildRequires:	libwebp-devel
BuildRequires:	libxcb-devel >= 1.9
BuildRequires:	libyuv-devel
BuildRequires:	openjpeg2-devel >= 2
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.527
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xz
BuildRequires:	xz-devel
BuildRequires:	zlib-devel
Requires:	freetype >= 2.1
Requires:	libjpeg >= 6b-18
Requires:	libpng >= 1.0.8
Requires:	libxcb >= 1.9
Conflicts:	imlib2_loaders < 1.10.0
Obsoletes:	libimlib2_1 < 2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Imlib2 is an advanced replacement library for libraries like libXpm
that provides many more features with much greater flexibility and
speed than standard libraries, including font rasterization, rotation,
RGBA space rendering and blending, dynamic binary filters, scripting,
and more.

%description -l pl.UTF-8
Imlib2 jest zaawansowaną biblioteką, zamiennikiem takich bibliotek jak
libXpm. Imlib2 dostarcza o wiele więcej możliwości przy dużo większej
szybkości niż standardowe biblioteki (włączając w to rasteryzację
fontów, obracanie, renderowanie przestrzeni RGBA, mieszanie,
dynamiczne filtry (w postaci binarnej), obsługa języka skryptowego i
wiele więcej.

%package devel
Summary:	Imlib2 header files and development documentation
Summary(fr.UTF-8):	Fichiers entête pour Imlib2
Summary(pl.UTF-8):	Pliki nagłówkowe oraz dokumentacja do imlib2
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	freetype-devel
Requires:	libltdl-devel
Requires:	xorg-lib-libXext-devel
Obsoletes:	libimlib2_1-devel < 2

%description devel
Header files and development documentation for Imlib2.

%description devel -l fr.UTF-8
Fichiers entête pour Imlib2.

%description devel -l pl.UTF-8
Pliki nagłówkowe oraz dokumentacja do biblioteki Imlib2.

%package static
Summary:	Imlib2 static library
Summary(pl.UTF-8):	Biblioteka statyczna imlib2
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Imlib2 static library.

%description static -l pl.UTF-8
Biblioteka statyczna imlib2.

%prep
%setup -q

# missing in dist tarball, make a stub
install -d test
touch test/Makefile.am

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{__enable_disable static_libs static} \
	--enable-doc-build \
	%{!?with_ps:--without-ps} \
%ifarch i586 i686 pentium3 pentium4 athlon
	--enable-mmx \
%else
	--disable-mmx \
%endif
%ifarch %{x8664}
	--enable-amd64 \
%endif
	%{!?with_avif:--without-avif} \
	%{!?with_heif:--without-heif} \
	%{!?with_jxl:--without-jxl}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# not needed
%{__rm} $RPM_BUILD_ROOT%{_libdir}/imlib2/*/*.la
# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libImlib2.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING COPYING-PLAIN ChangeLog README
%attr(755,root,root) %{_bindir}/imlib2_*
%attr(755,root,root) %{_libdir}/libImlib2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libImlib2.so.1
%dir %{_libdir}/imlib2
%dir %{_libdir}/imlib2/filters
%attr(755,root,root) %{_libdir}/imlib2/filters/*.so
%dir %{_libdir}/imlib2/loaders
%attr(755,root,root) %{_libdir}/imlib2/loaders/*.so
%{_datadir}/imlib2

%files devel
%defattr(644,root,root,755)
%doc doc/html
%attr(755,root,root) %{_libdir}/libImlib2.so
%{_includedir}/Imlib2.h
%{_includedir}/Imlib2_Loader.h
%{_pkgconfigdir}/imlib2.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libImlib2.a
%endif
%changelog
* Thu May 01 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/imlib2.git;a=log;h=master

* Sun Apr 27 2025 Jan Palus <atler@pld-linux.org> c8e6f8d
- up to 1.12.5

* Sat Mar 22 2025 Jan Palus <atler@pld-linux.org> e37e551
- up to 1.12.4

* Wed Jan 29 2025 Jan Rękorajski <baggins@pld-linux.org> ce837b4
- Release 2 (by relup.sh)

* Thu Jul 25 2024 Jan Palus <atler@pld-linux.org> 7e0a4ac
- up to 1.12.3

* Fri Apr 26 2024 Jakub Bogusz <qboosh@pld-linux.org> 2277dde
- release 2 (libjxl 0.10.x)

* Mon Apr 22 2024 Marcin Krol <hawk@tld-linux.org> 57ddbfd
- added bcond to allow building without HEIF support

* Tue Feb 06 2024 Jan Palus <atler@pld-linux.org> 4c16e0c
- up to 1.12.2

* Thu Dec 14 2023 Jan Palus <atler@pld-linux.org> bf99c96
- up to 1.12.1

* Thu Dec 14 2023 Jan Palus <atler@pld-linux.org> 260ed02
- add static_libs bcond

* Mon Sep 18 2023 Jan Palus <atler@pld-linux.org> 7a8000d
- up to 1.12.0

* Mon Sep 18 2023 Jan Palus <atler@pld-linux.org> ed178eb
- add jxl bcond

* Tue Mar 07 2023 Jakub Bogusz <qboosh@pld-linux.org> 7aa12d9
- Conflicts imlib2_loaders < 1.10.0 (ani loader moved to base imlib2)

* Mon Mar 06 2023 Jan Rękorajski <baggins@pld-linux.org> 0cda543
- Release 2 (by relup.sh)

* Mon Mar 06 2023 Jakub Bogusz <qboosh@pld-linux.org> 9bfdcd3
- updated to 1.10.0

* Fri Jul 29 2022 Jakub Bogusz <qboosh@pld-linux.org> abe378b
- updated to 1.9.1
- rebuild ac/am for -as-needed to work (imlib2 should not be linked with libLerc etc.)
- drop .la file

* Fri Jul 29 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 5a7a806
- rebuild with lerc-4.0

* Sat May 28 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 2cb000c
- conditional postscript support, rel 1

* Fri May 13 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 37e4d80
- up to 1.9.0, enabling more loadeers

* Sun Oct 10 2021 Jan Palus <atler@pld-linux.org> b12a458
- up to 1.7.4

* Wed Aug 18 2021 Jan Palus <atler@pld-linux.org> dea6e5d
- up to 1.7.3

